package com.jtauber.fop.fo.properties;

import com.jtauber.fop.fo.*;

import com.jtauber.fop.apps.FOPException;

public class FontFamily extends Property {

	public static class Maker extends Property.Maker {
		public boolean isInherited() { return true; }
		
		public Property make(PropertyList propertyList, String value) throws FOPException {
			return new FontFamily(propertyList, value);
		}

		public Property make(PropertyList propertyList) throws FOPException {
			return new FontFamily(propertyList, "serif");
		}
	}
	
	private String value;
	
public FontFamily(PropertyList propertyList, String explicitValue) {
	this.value = explicitValue;
}
public static Property.Maker maker() {
	return new FontFamily.Maker();
}
public String string() {
	return this.value;
}
}