package com.jtauber.fop.fo.properties;

import com.jtauber.fop.fo.*;

import com.jtauber.fop.apps.FOPException;

public class PageMasterFirst extends Property {
	
	public static class Maker extends Property.Maker {
		public boolean isInherited() { return false; }

		public Property make(PropertyList propertyList, String value) throws FOPException {
			return new PageMasterFirst(propertyList, value);
		}

		public Property make(PropertyList propertyList) throws FOPException {
			return new PageMasterFirst(propertyList, "");
		}		
	}

	private String value;
	
public PageMasterFirst(PropertyList propertyList, String explicitValue) {
	super(propertyList);
	this.value = explicitValue;
}
public static Property.Maker maker() {
	return new PageMasterFirst.Maker();
}
public String string() {
	return this.value;
}
}