package com.jtauber.fop.fo.properties;

import com.jtauber.fop.fo.*;

import com.jtauber.fop.apps.FOPException;

public class MarginRight extends Property {
	
	public static class Maker extends Property.Maker {
		public boolean isInherited() { return false; }

		public Property make(PropertyList propertyList, String value) throws FOPException {
			return new MarginRight(propertyList, new Length(value));
		}

		public Property make(PropertyList propertyList) throws FOPException {
			return new MarginRight(propertyList, new Length("0pt"));
		}
		
	}

	private Length value;
	
public MarginRight(PropertyList propertyList, Length explicitValue) {
	super(propertyList);
	this.value = explicitValue;
}
public Length length() {
	return this.value;
}
public static Property.Maker maker() {
	return new MarginRight.Maker();
}
}