package com.jtauber.fop.layout;

abstract public class PageMasterFactory {
	
	private PageMasterFactory next;
	
	abstract public int getHeight();
	public PageMasterFactory getNext() {
		return this.next;
	}
	abstract PageMaster getNextPageMaster();
	abstract public int getWidth();
	public void setNext(PageMasterFactory pmf) {
		this.next = pmf;
	}
}